world
	maxx = 10
	maxy = 10

var/list/demo_transitions = list("big blinds" = 'big_blinds.dmi', "blinds" = 'blinds.dmi', \
	"circle" = 'circle_transition.dmi', "diagonal blinds" = 'diagonal_blinds.dmi', "dial" = 'dial.dmi', \
	"dither" = 'dither.dmi')

turf
	icon = 'turf.dmi'

mob
	icon = 'mob.dmi'

	verb
		fade(style as text)
			set desc = "(style) Display a fade transition."
			var/I
			if(style in demo_transitions) I = style
			else I = input(usr,"Select a transition style.","Transition Style") as null|anything in \
					demo_transitions
			if(I)
				/* Figure out the number of frames. Ideally, your program would already know this and not need
					the next two lines. */
				var/icon/Icon = new(demo_transitions[I])
				var/list/states = Icon.IconStates()

				// fade out and store the object used to display the effect
				var/fade = client.st_fadeout(demo_transitions[I], states.len)

				/* You would move the player or do whatever else you wanted here. We'll teleport randomly and
					pause a couple ticks so you can see that you the screen is obscured. */
				Move(locate(rand(1,world.maxx),rand(1,world.maxy),1))
				sleep(2)

				// fade back in, using the stored obj
				client.st_fadein(fade)